# Jenkins

How to install and administrate Jenkins.

## Install

### Raspberry Pi

[Jenkins doc : installation](https://jenkins.io/doc/book/installing/#debianubuntu)

To execute on debian server

```
wget -q -O - https://pkg.jenkins.io/debian/jenkins.io.key | sudo apt-key add - ;
sudo sh -c 'echo deb https://pkg.jenkins.io/debian-stable binary/ > /etc/apt/sources.list.d/jenkins.list' ;
sudo apt-get update ;
sudo apt-get install jenkins ;
```

Jenkins is now installed as a daemon and you should connect locally to it with a browser to complete installation.

### HTTPS

The best way to secure _Jenkins_ is to use the proxy with _Apache_.

[Jenkins wiki : running Jenkins behind Apache](https://wiki.jenkins.io/display/JENKINS/Running+Jenkins+behind+Apache)

## Trouble shooting

### Logs

In file `/var/log/jenkins/jenkins.log` 

## Configure

Configuration parameters can be found at `/etc/default/jenkins`
